Package org.eclipse.rdf4j.query.algebra.helpers

## Class BGPCollector<X extends Exception>

- java.lang.Object
- - org.eclipse.rdf4j.query.algebra.helpers.AbstractQueryModelVisitor<X>
  - - org.eclipse.rdf4j.query.algebra.helpers.QueryModelVisitorBase<X>
    - - org.eclipse.rdf4j.query.algebra.helpers.BGPCollector<X>

- All Implemented Interfaces:
    `QueryModelVisitor<X>`

      public class BGPCollector<X extends Exception>
      extends QueryModelVisitorBase<X>

  Basic graph pattern collector.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BGPCollector​(QueryModelVisitor<X> visitor)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<StatementPattern>` | `getStatementPatterns()` |
    `void` | `meet​(Join node)` |
    `void` | `meet​(StatementPattern sp)` |
    `protected void` | `meetNode​(QueryModelNode node)` | Method called by all of the other meet methods that are not overridden in subclasses.

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.helpers.AbstractQueryModelVisitor

      `meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meetBinaryTupleOperator, meetBinaryValueOperator, meetCompareSubQueryValueOperator, meetNAryValueOperator, meetOther, meetSubQueryValueOperator, meetUnaryTupleOperator, meetUnaryValueOperator, meetUpdateExpr`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BGPCollector

          public BGPCollector​(QueryModelVisitor<X> visitor)

  - ### Method Detail

    - #### getStatementPatterns

          public List<StatementPattern> getStatementPatterns()

    - #### meet

          public void meet​(Join node)
                    throws X extends Exception

      Specified by:
        `meet` in interface `QueryModelVisitor<X extends Exception>`
      Overrides:
        `meet` in class `AbstractQueryModelVisitor<X extends Exception>`
      Throws:
        `X extends Exception`

    - #### meet

          public void meet​(StatementPattern sp)
                    throws X extends Exception

      Specified by:
        `meet` in interface `QueryModelVisitor<X extends Exception>`
      Overrides:
        `meet` in class `AbstractQueryModelVisitor<X extends Exception>`
      Throws:
        `X extends Exception`

    - #### meetNode

          protected void meetNode​(QueryModelNode node)
                           throws X extends Exception

      Description copied from class: `AbstractQueryModelVisitor`
      Method called by all of the other meet methods that are not overridden in subclasses. This method can be overridden in subclasses to define default behaviour when visiting nodes. The default behaviour of this method is to visit the node's children.
      Overrides:
        `meetNode` in class `AbstractQueryModelVisitor<X extends Exception>`
      Parameters:
        `node` - The node that is being visited.
      Throws:
        `X extends Exception`